/*
	Blokus SDL
		bldef.h

	This file includes most defines for Blokus.

	Copyright (c) 2003-2004 Antti Partanen


	This file is part of Blokus SDL.

	Blokus SDL is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	Blokus SDL is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Blokus SDL; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef BLEXC_H
#define BLEXC_H

#include <stdio.h>

class Exception
{
public:
	Exception()
	{
		str = NULL;
		line = -1;
		file = NULL;
	}

	Exception(char *err, int n = -1, char *f = NULL)
	{
		str = err;
		line = n;
		file = f;
	}

	char *str;
	int line;
	char *file;
};

class OutOfMemory
{
public:
	OutOfMemory()
	{
		str = NULL;
		line = -1;
		file = NULL;
	}

	OutOfMemory(char *err, int n = -1, char *f = NULL)
	{
		str = err;
		line = n;
		file = f;
	}

	char *str;
	int line;
	char *file;
};

#endif

