/*
	Blokus SDL
		blkeymap.h

	This file includes some defines for nick-menu.

	Copyright (C) 2003-2004 Antti Partanen


	This file is part of Blokus SDL.

	Blokus SDL is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	Blokus SDL is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Blokus SDL; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef BLKEYMAP_H
#define BLKEYMAP_H

class KEYMAP
{
public:
	KEYMAP()
	{
		Hflip = SDLK_UP;
		Vflip = SDLK_DOWN;
		Left = SDLK_LEFT;
		Right = SDLK_RIGHT;
	}

	int Hflip;
	int Vflip;
	int Left;
	int Right;

	int Set;
	int Skip;
	int Cancel;

	//*
	bool hflip;
	bool vflip;
	bool left;
	bool right;

};

#endif

