/*
	Blokus SDL
		blsettings.h

	This file includes some defines for settings-menu.

	Copyright (C) 2003-2004 Antti Partanen


	This file is part of Blokus SDL.

	Blokus SDL is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.

	Blokus SDL is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with Blokus SDL; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef BLSETTINGS_H
#define BLSETTINGS_H

//* Settings
#define BS_W 300
#define BS_H 20
#define BS_XFIXLIST (-7)
#define BS_YFIXLIST (-2)
#define BS_XFIXTITLE 17
#define BS_YFIXTITLE 3
#define BS_X 20
#define BS_Y 40
#define BS_XADD 310
#define BS_YADD 20

enum
{
	bSfullscreen = 0,
	bSbpp,

	bSsen,
	bSvol,

	bSai,
	bSno,
	bSts,

	bSexit,
	bScancel,

	bSkl,
	bSkr,
	bSkv,
	bSkh,

	bSN
};

#endif

